﻿using DomainModel.Entities;
using NHibernate;

namespace DAL
{
    public class NHibernateSample
    {
        private ISession _session;

        public NHibernateSample(ISession session)
        {
            _session = session;
        }

        public ISession Session
        {
            set { _session = value; }
        }

        public Customer GetCustomerById(int customerId)
        {
            return _session.Get<Customer>(customerId);
        }
    }
}